# As all tests require Internet access this is disabled here
# Based on upstream project spec file at https://raw.githubusercontent.com/ansible-community/molecule/main/.config/molecule.spec
Name:           molecule
Version:        4.0.1
Release:        %mkrel 3
Summary:        Molecule testing framework for Ansible content
Group:			Development/Python
License:        MIT
URL:            https://github.com/ansible-community/molecule
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-build
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
BuildRequires:  python%{python3_pkgversion}-wheel
Requires:       ansible
Requires:       python3-enrich
Requires:       python3-packaging
Requires:       python3-yaml
Requires:       python3-rich
Requires:		python3-cookiecutter

%description
Molecule provides support for testing with multiple instances, operating
systems and distributions, virtualization providers, test frameworks and
testing scenarios.

%prep
%autosetup
# Temporary fix to support our mageia cerberus 1.3.5.0 which fixes an issue with molecule
perl -pi -e 's|cerberus .*|cerberus > 1.3.4|' setup.cfg


%build
%pyproject_wheel

%install
%pyproject_install

%files
%{python3_sitelib}/molecule/
%{python3_sitelib}/molecule-*.dist-info/
%{_bindir}/molecule
%license LICENSE
%doc docs/* README.rst


%changelog
* Wed Aug 10 2022 bcornec <bcornec> 4.0.1-3.mga9
+ Revision: 1876626
- Update yaml dep + fix cerbers version dep

* Wed Aug 10 2022 bcornec <bcornec> 4.0.1-2.mga9
+ Revision: 1876599
- Import molecule package
- Created package structure for molecule.

